Bug 1654975 - Dynflow executor termination may hang if there is an action which keeps the executor occupied
Summary: Dynflow executor termination may hang if there is an action which keeps the e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.5.0
Assignee: satellite6-bugs
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks: 1665470
TreeView+ depends on / blocked
 
Reported: 2018-11-30 09:00 UTC by Adam Ruzicka
Modified: 2019-11-05 22:40 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-dynflow-1.1.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1665470 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:39:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25593 Normal Closed Dynflow executor termination may hang if there is an action which keeps the executor occupied 2020-06-22 06:15:30 UTC
Red Hat Bugzilla 1628638 unspecified CLOSED The termination procedure after memory threshold exceeded can get stuck, waiting infinitely for some events to occur 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:27 UTC

Internal Links: 1628638

Description Adam Ruzicka 2018-11-30 09:00:43 UTC
Description of problem:
If there is an action which is running on an executor for a long time and it does not suspend itself and the memory watcher decides to recycle the executor, the termination may hang indefinitely.

Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1. Pick any action, add infinite sleep to the beginning of its run method
2. Trigger the action
3. Wait for the memory watcher to try restarting the executor 

Actual results:
The termination hangs, the dynflow executor process stays there, not releasing its resources.

Expected results:
The dynflow executor process gets terminated

Additional info:

Comment 3 Adam Ruzicka 2018-11-30 09:02:22 UTC
This supplements BZ1628638 which introduced termination timeouts.

Comment 4 Ivan Necas 2018-11-30 10:08:16 UTC
Created redmine issue https://projects.theforeman.org/issues/25593 from this bug

Comment 12 errata-xmlrpc 2019-05-14 12:39:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.